Subject: Re: bug#462: append-region-to-file as alias for append-to-file

From: Stefan Monnier <[email-masked]>
Date: Sat, 21 Jun 2008 21:01:39 -0400

tag 462 +wontfix
thanks

>   append-to-file is an interactive compiled Lisp function in `files.el'.
>   Append the contents of the region to the end of file FILENAME.

> OK, then call it append-region-to-file, as an alias, as append-to-file
> might mean append-file-to-file, you never know.

If we ever get an append-file-to-file functionality, we'll consider
renaming it.  Currently the shorter name is more convenient, the
docstring is sufficiently clear, as is the prompt, so there's little
opportunity for confusion, especially since most commands in Emacs
operate "at/around point" or "on the region".

        Stefan